#include <bits/stdc++.h>

using namespace std;

int a[1000010],b[1000010];

bool com(int a,int b)
{
	return a>b;
}
int main(int argc, char** argv) {
	int n;
	scanf("%d",&n);
	for(int i=0;i<n;i++)
	{
		scanf("%d",&a[i]);
		b[i]=a[i];
	}
	sort(b,b+n,com);
	int i=0;
	while(a[i]==b[i]&&i<n)
	{
		i++;
	}
	if(i==n)
	{
		for(int i=0;i<n-2;i++)printf("%d ",a[i]);
		printf("%d %d",a[n-1],a[n-2]);
	}
	else
	{
		int pom=b[i];
		int j=n-1;
		while(a[j]!=pom)j--;
		a[j]=a[i];
		a[i]=pom;
		for(int i=0;i<n;i++)printf("%d ",a[i]);
	}
	return 0;
}